Subject: FW: Testing Request
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Fri, 1 Feb 2002 15:26:06 -0800 (PST)

Stacey,

This is the latest on the testing of HCS report of PortCalc. Would you still like me to follow up with Norman or somebody else?

Thanks,
Sam

 -----Original Message-----
From: 	Yang, Zhiyun  
Sent:	Thursday, January 17, 2002 1:47 PM
To:	Law, Samantha
Cc:	Lee, Norman
Subject:	RE: Testing Request

Hi Sam:

  I owed you the answer to this question for too long.  Let me make it up.

  First of all, Hypothetic curve shift is defined as the difference of Mark-to-Market value between current price curve and current price curve perturbed by specified amount ($1, $2, $3, $4, $10) for peak hours.  Note that the off-peak hour curve stays unchanged, but that doesn't mean you can ignore the off-peak part of the deal, since it will have impact on the overall average price.

  I think it easier to go through an example to show the point.  Please see post id 15936 I set up, in which we will examine a forward deal 896746 for the day 1/18/2002. 

  The deal is for 24 hours and 25MW/hour.  From the spreadsheet below, you can see how the original daily price is $21.33, after $1 shift to the peak hour price, the new daily price is $22,  the discount Vol for the day is -598.9833, hence the final hypothetic curve shift is -598.9833 * (22-21.3333),   or -399.  Same logic to get the hypothetic curve shift for $2, $3, etc.

  It follows the same logic for option deals, although the result will not be linear like for swap.  There seem to be a unwanted feature in current executable which combined the hypothetic curve shift for different shift into the $1 bucket, we will fix that in future release, but if you want the "right" executable now, you can find it at /home/zyang/pwrcalc_hcs.

  Please let me know if you have further questions.

- Zhiyun

  

 -----Original Message-----
From: 	Law, Samantha  
Sent:	Wednesday, January 09, 2002 3:47 PM
To:	Yang, Zhiyun
Subject:	RE: Testing Request

Haha, a little reminder for you - just thought that you might have time to look at this in the meanwhile.....?

Thanks,
Sam

 -----Original Message-----
From: 	Yang, Zhiyun  
Sent:	Tuesday, November 27, 2001 9:37 AM
To:	Law, Samantha
Subject:	RE: Testing Request

Hi Sam:

  You are an exemplary employee of Enron!  :-)  

  I'll do what I can to get back to you on this, but at this point I really cannot promise the time line.

  So how's everything with you?

- Zhiyun

 -----Original Message-----
From: 	Law, Samantha  
Sent:	Tuesday, November 27, 2001 11:33 AM
To:	Yang, Zhiyun
Subject:	FW: Testing Request

Hey Z!

Would you have time to work on this this week? I will be on vacation for the most of Dec so if you could get me some more hints, that would be great!!

Thanks!
Sam

 -----Original Message-----
From: 	Law, Samantha  
Sent:	Monday, November 12, 2001 12:08 PM
To:	Yang, Zhiyun
Subject:	RE: Testing Request

Hey Zhiyun,

Since I don't have much going on here, I am afraid I need to keep bugging you on this :p. Anyway, I have picked a region that has bigger HCS numbers so that we can notice the difference easier - LTSW R7. I have attached my results for your reference.

From what I see is, if I am using the right report (Swap Details), and if my formula is right, then the number I got to verify the accuracy of the HCS report is quite different from the actual result.

For example, I took 11/01 and 12/01 to calculate the HSC number using the formula I thought is right. Assuming the HCS is only based on Peak curves and strips:
                              HCS # calculated                HCS report
11/01@$1.00             $47,893                             ($1,413,407)
11/01@$2.00             $95,758                             ($1,424,161)
12/01@$1.00             $26,701                             ($1,428,808)
12/01@$2.00             $53,378                             ($1,278,636)                                      

Again, if you could take a look when you have the time to take a breathe, that would be great!!

Thanks,
Sam
(P.S.: how's everything going in Houston in terms of what people are reacting to the merger? Do you feel a lot of worries around? Portland is ok, people in general are not too worried......)

 << File: 14357_EPMI-LT-SW_R7_swp_dtl_Nov&Dec01.xls >>  << File: 14357_EPMI-LT-SW_hcrv_shift.xls >> 

 -----Original Message-----
From: 	Yang, Zhiyun  
Sent:	Tuesday, November 06, 2001 12:44 PM
To:	Law, Samantha
Subject:	RE: Testing Request

No problem.

- Zhiyun

 -----Original Message-----
From: 	Law, Samantha  
Sent:	Tuesday, November 06, 2001 2:27 PM
To:	Yang, Zhiyun
Subject:	RE: Testing Request

Hi Zhiyun,

Stacey hasn't replied me on the timeline that she expected. I think she is out this whole week. I do understand you are a busy bee but whenever you have just a little bit time, it would be nice that you can give some hints so I can start working on it.

Thanks!!
Sam

 -----Original Message-----
From: 	Law, Samantha  
Sent:	Friday, November 02, 2001 10:45 AM
To:	Yang, Zhiyun
Subject:	RE: Testing Request

Hi Zhiyun,

I have just run a calc again for LT-Cali. I have attached the HCS report and the Swap Detail for R7 for your reference. Based on what you said, should I expect there is HCS figures for 11/01 since I have quite a large MTM value for deals flow during 11/01 (as in Swap Details)? Could you please find out why I don't see any numbers in the HCS report for 11/01?

Or am I missing something?

Thanks!
Sam

 << File: 14121_EPMI-LT-CALI_hcrv_shift.xls >>  << File: 14121_EPMI-LT-CALI_R7_swp_dtl.xls >> 

 -----Original Message-----
From: 	Yang, Zhiyun  
Sent:	Friday, November 02, 2001 9:37 AM
To:	Law, Samantha
Subject:	RE: Testing Request

It's the flow date.

You are welcome.

- Zhiyun

 -----Original Message-----
From: 	Law, Samantha  
Sent:	Friday, November 02, 2001 11:36 AM
To:	Yang, Zhiyun
Subject:	RE: Testing Request

Hi Zhiyun,

Thanks for helping me out with this!

So for the "Month" column in the HCS report, is it referring to the flow date for the deals or deal date?

Thanks,
Sam
 -----Original Message-----
From: 	Yang, Zhiyun  
Sent:	Wednesday, October 31, 2001 4:21 PM
To:	Law, Samantha; Lee, Norman
Subject:	RE: Testing Request

Hi Sam:

  Norman was caught up with too many projects recently, let me try to chip in a little.

  What the HCS report has is the what if results, that is, how much P&L change we will see should PEAK HOUR price moves up $1, $2 etc.  For example, if your current day MtM is $50,000, if peak price goes up by $1, your MtM will be say 70,000, then the $20,000 difference will be reported in the HCS report.

  Hope this help you get started.  I guess HCS report has not been reviewed for quite a while, but I think at least the swap part should still be fine.  Please let us know if you notice anything wrong.

- Zhiyun

 -----Original Message-----
From: 	Law, Samantha  
Sent:	Wednesday, October 31, 2001 2:03 PM
To:	Lee, Norman
Cc:	Yang, Zhiyun
Subject:	RE: Testing Request

Hi Norman,

I know it's only Wed but....do you have a status on this? :-)

Thanks,
Sam

 -----Original Message-----
From: 	Lee, Norman  
Sent:	Friday, October 26, 2001 3:41 PM
To:	Law, Samantha
Cc:	Yang, Zhiyun
Subject:	RE: Testing Request

Dear Samantha,

	We will work on it next Monday, is that okay with you?

	Thanks,

Norman.

 -----Original Message-----
From: 	Law, Samantha  
Sent:	Friday, October 26, 2001 4:00 PM
To:	Lee, Norman; Yang, Zhiyun
Subject:	FW: Testing Request

Hi Norman and Zhiyun,

As I have bugged you both a little bit about this already, I hope you won't mind helping me even a bit more!! :p Anyway, I ran an unofficial calc earlier today on LT-NW (Post ID: 13923) with the Hypothetical Curve Shift on. It generated the attached HCS report.

My question is, can you give me the formula the PortCalc used to calculate those HCS columns, especially for Swap_HCS? I want to get a better idea of how they are calculated first before I can verify the accurancy of them.

Thank you so much!!

Sam

PS: Zhiyun, I haven't run a mini book on a basis option yet. I thought I should start with the more basic first......thanks for your advice though!

 << File: 13923_EPMI-LT-NW_hcrv_shift.xls >> 

 -----Original Message-----
From: 	White, Stacey W.  
Sent:	Friday, October 26, 2001 7:51 AM
To:	Chang, Fran; Dunton, Heather; Law, Samantha; Postlethwaite, John; Warner, Nicholas
Subject:	FW: Testing Request

There is a report in PortCalc - Hypothetical Curve Shift (Monthly) - that I would like someone to review for accuracy.  It is meant to have price increments that indicate what curve shift would have been had the curve been adjusted by that increment.  In order for this report to be generated, you have to choose the Hypothetical Curve Shift option in PortCalc (see below)
 << OLE Object: PBrush >> 

Please let me know who will be doing this analysis and if you need any help.

Thanks,
Stacey